com.intellectualcrafters.plot.commands

## Enum Command

- java.lang.Object
- - java.lang.Enum<Command>
  - - com.intellectualcrafters.plot.commands.Command

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Command>

      public enum Command
      extends java.lang.Enum<Command>

  Created by Citymonstret on 2014-08-03.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAN`
    `CLAIM`
    `CLEAR`
    `CLIPBOARD`
    `COMMENT`
    `COPY`
    `DATABASE`
    `DEBUG`
    `DEBUGCLAIMTEST`
    `DELETE`
    `DENIED`
    `DEOP`
    `HELPERS`
    `HOME`
    `INBOX`
    `INFO`
    `INTERFACE`
    `KICK`
    `LIST`
    `MERGE`
    `OP`
    `PASTE`
    `PURGE`
    `SET`
    `SETUP`
    `SWAP`
    `TP`
    `TRUSTED`
    `UNBAN`
    `UNLINK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()`
    `java.lang.String` | `getCommand()`
    `CommandPermission` | `getPermission()`
    `static Command` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SWAP

          public static final Command SWAP

    - #### INBOX

          public static final Command INBOX

    - #### DEBUGCLAIMTEST

          public static final Command DEBUGCLAIMTEST

    - #### COMMENT

          public static final Command COMMENT

    - #### TRUSTED

          public static final Command TRUSTED

    - #### PASTE

          public static final Command PASTE

    - #### CLIPBOARD

          public static final Command CLIPBOARD

    - #### COPY

          public static final Command COPY

    - #### KICK

          public static final Command KICK

    - #### HELPERS

          public static final Command HELPERS

    - #### DENIED

          public static final Command DENIED

    - #### CLAIM

          public static final Command CLAIM

    - #### MERGE

          public static final Command MERGE

    - #### UNLINK

          public static final Command UNLINK

    - #### CLEAR

          public static final Command CLEAR

    - #### DELETE

          public static final Command DELETE

    - #### DEBUG

          public static final Command DEBUG

    - #### INTERFACE

          public static final Command INTERFACE

    - #### HOME

          public static final Command HOME

    - #### INFO

          public static final Command INFO

    - #### LIST

          public static final Command LIST

    - #### SET

          public static final Command SET

    - #### PURGE

          public static final Command PURGE

    - #### SETUP

          public static final Command SETUP

    - #### OP

          public static final Command OP

    - #### DEOP

          public static final Command DEOP

    - #### BAN

          public static final Command BAN

    - #### UNBAN

          public static final Command UNBAN

    - #### DATABASE

          public static final Command DATABASE

    - #### TP

          public static final Command TP

  - ### Method Detail

    - #### values

          public static Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command c : Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCommand

          public java.lang.String getCommand()

      Returns:

    - #### getAlias

          public java.lang.String getAlias()

      Returns:

    - #### getPermission

          public CommandPermission getPermission()

      Returns: